#property copyright "*"
#property link      "*"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 DodgerBlue

//---- input parameters
extern double k=1.0;
extern int Pr=0;
extern int FromArrow=7;
extern int UpArCode=241;
extern int DnArCode=242;
//---- buffers

double A1[];
double A2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,UpArCode);
   SetIndexBuffer(0,A1);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,DnArCode);
   SetIndexBuffer(1,A2);
   
   SetIndexLabel(0,"GMA Simple");
   SetIndexLabel(1,"GMA Simple");   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){
  double m;
  double c,p;
   int limit=Bars-IndicatorCounted();
      for(int i=limit-1;i>=0;i--){
         c=0;p=0;
            m=iMACD(NULL,0,k*3,k*30,9,Pr,MODE_MAIN,i);
            if(m>0)c++;
            if(m<0)c--;         
            m=iMACD(NULL,0,k*5,k*35,9,Pr,MODE_MAIN,i);
            if(m>0)c++;
            if(m<0)c--;                    
            m=iMACD(NULL,0,k*8,k*40,9,Pr,MODE_MAIN,i);
            if(m>0)c++;
            if(m<0)c--;          
            m=iMACD(NULL,0,k*10,k*45,9,Pr,MODE_MAIN,i);
            if(m>0)c++;
            if(m<0)c--;   
            m=iMACD(NULL,0,k*12,k*50,9,Pr,MODE_MAIN,i);
            if(m>0)c++;
            if(m<0)c--;
            m=iMACD(NULL,0,k*15,k*60,9,Pr,MODE_MAIN,i);
            if(m>0)c++;
            if(m<0)c--;
            
            m=iMACD(NULL,0,k*3,k*30,9,Pr,MODE_MAIN,i+1);
            if(m>0)p++;
            if(m<0)p--;         
            m=iMACD(NULL,0,k*5,k*35,9,Pr,MODE_MAIN,i+1);
            if(m>0)p++;
            if(m<0)p--;                    
            m=iMACD(NULL,0,k*8,k*40,9,Pr,MODE_MAIN,i+1);
            if(m>0)p++;
            if(m<0)p--;          
            m=iMACD(NULL,0,k*10,k*45,9,Pr,MODE_MAIN,i+1);
            if(m>0)p++;
            if(m<0)p--;   
            m=iMACD(NULL,0,k*12,k*50,9,Pr,MODE_MAIN,i+1);
            if(m>0)p++;
            if(m<0)p--;
            m=iMACD(NULL,0,k*15,k*60,9,Pr,MODE_MAIN,i+1);
            if(m>0)p++;
            if(m<0)p--; 
            
            if(c>0 && p<=0)A1[i]=Low[i]-Point*FromArrow;
            if(c<0 && p>=0)A2[i]=High[i]+Point*FromArrow;          
             
      }
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+